Bug 102194 - Disk READ performance worse compared with 2.4.20-18.9smp
Disk READ performance worse compared with 2.4.20-18.9smp
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks: 103278
  Show dependency treegraph
 
Reported: 2003-08-12 09:51 EDT by Winfrid Tschiedel
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vmstat for rh 9.0 with kernel 2.4.20-18.9smp (26.22 KB, text/plain)
2003-09-17 07:36 EDT, Winfrid Tschiedel
no flags Details
output of vmstat 1 for kernel 2.4.21-1.1931.2.423entsmp (37.30 KB, text/plain)
2003-09-17 07:39 EDT, Winfrid Tschiedel
no flags Details

  None (edit)
Description Winfrid Tschiedel 2003-08-12 09:51:40 EDT
Description of problem:

I am using Fujitsu MAP3735NC or MAP3367NC disks. In case of
kernel 2.4.20-18.9smp I am using from people.freebsd.org/~gibbs/linux
the driver aic79xx 1.3.11. Now I compared the diskperformance for this
kernel with the performance for kernel 2.4.21-1.1931.2.382entsmp.

Write performance was for both kernels the same, but read performance
was for 2.4.20-18.9 approx. 64 mb/sec while for 2.4.21-... the performance
was 35 mb/sec


Version-Release number of selected component (if applicable):


How reproducible:
Always, also reproducible with maxtor disks


Steps to Reproduce:
1.get attachment for bug 101938
2.create executable rio with make -f Makefile.linux
3.run the program, with e.g.  ./rio -s 8g -b 320k -t -d .

This will create with seq. write a file : size 8 gb, used blocksize 320k
working directory = current directory
    
Actual results:


Expected results:


Additional info:

I will create another bug for aic79xx with fujitsu disks
Comment 1 Matt Wilson 2003-08-15 17:41:14 EDT
What version of RHEL beta kernel were you testing against?  Please also test
with the latest kernels available in sushi.
Comment 2 Winfrid Tschiedel 2003-09-03 07:54:08 EDT
Hello Matt,

Sorry being so late with the answer, I can add now some more details
the IO performance is independant from the SCSI controller.

I tried AIC7902 and LSI sym53c8xx in both cases the read performance 
is close to 60 mb/sec when I use rh 9.0 with kernel 2.4.20-18.9smp
and it is just 40 mb/sec when I use rh 9.0 with 
kernel 2.4.21-1.1931.2.414.entsmp ( from rhel 3.0 beta 2 ws i386 )

Cheers,

Winfrid
Comment 3 Ingo Molnar 2003-09-16 15:21:50 EDT
could you do a 'vmstat 1 > vmstat.log' during the rio testrun and attach the
results here - are the writes steady?
Comment 4 Winfrid Tschiedel 2003-09-17 07:36:41 EDT
Created attachment 94553 [details]
vmstat for rh 9.0 with kernel 2.4.20-18.9smp

Here are the requested output files ( vmstat 1 ) for READ of rio.

Note : Adaptec provides now new drivers for aic79xx 
       This run was done using aic79xx-2.0.2
Comment 5 Arjan van de Ven 2003-09-17 07:39:14 EDT
while it probably doesn't matter in this case, I would like to urge you to ONLY
report bugs with drivers we shipped. 
Comment 6 Winfrid Tschiedel 2003-09-17 07:39:15 EDT
Created attachment 94554 [details]
output of vmstat 1 for kernel 2.4.21-1.1931.2.423entsmp
Comment 7 Arjan van de Ven 2003-09-17 07:43:10 EDT
can you check if it gets better if you do
echo 127 > /proc/sys/vm/max-readahead
Comment 8 Winfrid Tschiedel 2003-09-17 07:46:38 EDT
The problem is not the WRITE, the write is almost the same for both kernels,
but the READ is better for the kernel 2.4.20-18.9smp. On the 2.4.21 kernel the
READ performance is worse even compared with the WRITE performance. I think,
that for an EXT3 filesystem seq. READ must be better than WRITE.

Winfrid
Comment 9 Winfrid Tschiedel 2003-09-17 07:59:20 EDT
Hello Arjan,

The read performance is now improved, 47.5 mb/sec instead of 43 mb/sec.
But in case of 2.4.20-18.9smp I had 54 mb/sec.

The note with the new driver was just an information, that rh should consider
this driver for the new kernels .

Regards,

Winfrid
Comment 10 Doug Ledford 2004-04-22 16:47:43 EDT

*** This bug has been marked as a duplicate of 104633 ***
Comment 11 John Flanagan 2004-05-11 21:07:33 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.